Get all service lookup property details

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupProperties/$views/lookupPropertyDetails

Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view lookupPropertyDetails for resource Service Lookup Properties
Body ()
Root Schema : serviceLookupProperties_view-lookupPropertyDetails
Match All
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceLookupProperties_view-lookupPropertyDetails-allOf[1]
Type: object
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
Nested Schema : lookupType
Match All
Show Source
Nested Schema : lookupCode-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : lookupType-allOf[1]
Type: object
Show Source
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type Meaning
    The translated meaning of the Lookup Type.
Back to Top

Examples

The following example shows how to get a service lookup property by submitting a GET request on the REST resource using cURL.

cURL Command

curl --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceLookupProperties/$views/lookupPropertyDetails?pPropertyLookupType=ORA_SVC_CHANNEL_TYPE_CD&pPropertyName=INTERACTIVE,ENABLED_FOR_COLLABORATION' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Example of Response Body

The following shows the contents of the response body in JSON format.

{
  "items": [
    {
      "id": "300100570059846",
      "timeCreated": "2026-08-14T10:30:00Z",
      "createdBy": "SERVICE_USER",
      "timeUpdated": "2026-08-14T10:30:00Z",
      "updatedBy": "SERVICE_USER",
      "propertyLookupType": "ORA_SVC_CHANNEL_TYPE_CD",
      "propertyLookupCode": "CUSTOMCHANNEL",
      "propertyName": "INTERACTIVE",
      "propertyValue": "Y"
    }
  ],
  "hasMore": false
}
Back to Top